> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deep Research Jobs

> Returns a paginated list of deep research jobs for the authenticated user.



## OpenAPI

````yaml GET /ai/v1/deep-research
openapi: 3.0.0
info:
  description: OpenAPI specification for Messari Deep Research API
  title: Messari API - Deep Research V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /ai/v1/deep-research:
    get:
      summary: List deep research jobs
      description: >-
        Returns a paginated list of deep research jobs for the authenticated
        user. Optionally filter by status using the 'status' query parameter.
      operationId: listDeepResearch
      parameters:
        - description: Maximum number of jobs to return (default 20, max 100)
          in: query
          name: limit
          required: true
          schema:
            format: int64
            type: integer
        - description: Number of jobs to skip for pagination
          in: query
          name: offset
          required: true
          schema:
            format: int64
            type: integer
        - description: >-
            Filter jobs by status: queued, in_progress, completed, failed,
            cancelled
          in: query
          name: status
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    description: List of deep research jobs
                    items:
                      $ref: '#/components/schemas/DeepResearchResponse'
                    type: array
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    DeepResearchResponse:
      properties:
        created_at:
          description: Unix timestamp when the job was created
          format: int64
          type: integer
        job_id:
          description: Unique identifier for the deep research job
          format: byte
          type: string
        model:
          description: Model used for the deep research
          type: string
        object:
          description: Type of object returned, always 'deep_research'
          type: string
        query:
          description: The research query that was submitted for this job
          type: string
        status:
          description: >-
            Current status of the deep research job: queued, in_progress,
            completed, failed, cancelled
          type: string
      required:
        - created_at
        - job_id
        - model
        - object
        - query
        - status
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````